{% extends 'home/master/master.html' %}
{% load i18n %}
{% load static %}
{% block title %}
{{title}}
{% endblock title %}
{% block content %}

<!-- content -->
<div class="art-content">

    <!-- curtain -->
    <div class="art-curtain"></div>




    <!-- swup container -->
    <div class="transition-fade" id="swup">

        <!-- scroll frame -->
        <div id="scrollbar" class="art-scroll-frame">

            <!-- container -->
            <div
                class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">
                <br />
                <section id='enter-auctions-wrapper' class="mt-5">
                    <div class="row">
                        <div class="col">
                            <div class="card bg-dark text-center"
                                style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                <h5 class="card-header">{% trans "The Puzzle" %}</h5>
                                <div class="card-body">
                                    <!-- form field end -->

                                    <div class="form-group row art-form-field">
                                        <label for="details_list_items"
                                            style="font-size: 16px; margin-top: 5px; font-weight: bold;"
                                            class="col-sm-5 col-form-label text-white">
                                            {% trans "Enter Number of 3 digits" %}
                                        </label>
                                        <div class="col-sm-7">
                                            <!-- input -->
                                            <input id='mainPuzzleNumber' autofocus type="text" onkeypress="validateNumbers(event);" maxlength="3"
                                                style="border: 1px solid #FFF;"
                                                class="form-control bg-website-color text-white" />
                                        </div>
                                    </div>
                                    <!-- form field end -->

                                    <!-- form field end -->

                                    <div class="form-group row art-form-field mb-1">

                                        <div class="col-sm-12">
                                            <!-- input -->
                                            <input class="form-control bg-website-color text-white" readonly id='firstNumber'
                                                type="text" style="border: 1px solid #FFF;" />
                                        </div>
                                    </div>
                                    <!-- form field end -->

                                    <!-- form field end -->

                                    <div class="form-group row art-form-field my-0">

                                        <div class="col-sm-12 text-right">
                                            <!-- input -->
                                            <h4 style="font-size: 2rem;">
                                                ـــ
                                            </h4>
                                        </div>
                                    </div>
                                    <!-- form field end -->

                                    <!-- form field end -->

                                    <div class="form-group row art-form-field">

                                        <div class="col-sm-12">
                                            <!-- input -->
                                            <input id='reversedNumber' type="text" readonly style="border: 1px solid #FFF;"
                                                class="form-control bg-website-color text-white" />
                                        </div>
                                    </div>
                                    <!-- form field end -->

                                    <div class="form-group row art-form-field">
                                        <label for="details_list_items"
                                            class="col-sm-1 col-form-label text-white align-center">
                                            <h4 style="font-size: 2rem;">
                                                =
                                            </h4>
                                        </label>
                                        <div class="col-sm-11">
                                            <!-- input -->
                                            <input id='firstEqual' readonly type="text" style="border: 1px solid #FFF;"
                                                class="form-control bg-website-color text-white" />
                                        </div>
                                    </div>
                                    <!-- form field end -->
                                    <br />

                                    <!-- form field end -->

                                    <div class="form-group row art-form-field mb-1">

                                        <div class="col-sm-12">
                                            <!-- input -->
                                            <input id='mainNumber2' readonly type="text" style="border: 1px solid #FFF;"
                                                class="form-control bg-website-color text-white" />
                                        </div>
                                    </div>
                                    <!-- form field end -->

                                    <!-- form field end -->

                                    <div class="form-group row art-form-field my-0">

                                        <div class="col-sm-12 text-right">
                                            <!-- input -->
                                            <h4 style="font-size: 2rem;">
                                                +
                                            </h4>
                                        </div>
                                    </div>
                                    <!-- form field end -->

                                    <!-- form field end -->

                                    <div class="form-group row art-form-field">

                                        <div class="col-sm-12">
                                            <!-- input -->
                                            <input id='reversedNumber2' readonly type="text" style="border: 1px solid #FFF;"
                                                class="form-control bg-website-color text-white" />
                                        </div>
                                    </div>
                                    <!-- form field end -->
                                    <div class="form-group row art-form-field">
                                        <label for="details_list_items"
                                            style="font-size: 1.2rem; margin-top: 5px; font-weight: bold;"
                                            class="col-sm-4 col-form-label text-white align-center">
                                            {% trans "Final Result" %}
                                        </label>
                                        <div class="col-sm-8">
                                            <!-- input -->
                                            <input style="border: 1px solid #FFF; font-size: 1.5rem;" readonly id='finalResult'
                                                type="text" class="form-control bg-website-color text-white" />
                                        </div>
                                    </div>
                                    <!-- form field end -->
                                </div>
                            </div>
                            <br /><br />
                            <div class="alert alert-success" style="display: none;" role="alert"
                                id="puzzleSuccessAlert">
                                <div class="font-weight-bold">
                                    <i class="fas fa-check"></i>
                                    {% trans "This Name Connected" %}
                                </div>
                                <div class="font-weight-bold">
                                    <i class="fas fa-check"></i>
                                    {% trans "This Name Compatible with energy" %}
                                </div>
                            </div>
                            <div class="alert alert-danger" role="alert" style="display: none;" id="puzzleDangerAlert">
                                <div class="font-weight-bold">
                                    <i class="fas fa-times"></i>
                                    {% trans "This Name Not Connected" %}
                                </div>
                                <div class="font-weight-bold">
                                    <i class="fas fa-times"></i>
                                    {% trans "This Name Not Compatible with energy" %}
                                </div>
                            </div>
                        </div>
                        <div class="col-5">
                            <div class="card bg-dark text-center"
                                style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                <h5 class="card-header">{% trans "Excluded Numbers" %}</h5>
                                <div class="card-body">
                                    <ul
                                        class="list-group list-group-flush {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right {% endif %}">
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            101
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            202
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            303
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            404
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            505
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            606
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            707
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            808
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            909
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            111
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            222
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            333
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            444
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            555
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            666
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            777
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            888
                                        </li>
                                        <li
                                            class="list-group-item bg-website-color auction-details-entity-type text-center">
                                            999
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>

            </div>
            <!-- container end -->




        </div>
        <!-- scroll frame end -->

    </div>
    <!-- swup container end -->

</div>
<!-- content end -->

{% endblock content %}
